#include <wiringPiI2C.h>
#include <stdio.h>
#include <arpa/inet.h>

const int ADDR = 0x48;
const int REG = 0x00;

int main()
{
    int fd;
    short result;

    fd = wiringPiI2CSetup(ADDR); // I2Cデバイスのアドレスを設定

    // データの読み込み
    result = (short)wiringPiI2CReadReg16(fd, REG);
    printf("Result = %lf\n", (double)(ntohs(result) >> 3) / 16.0);

    return 0;
}
